VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
BrownNoise< SamplePrecision > Class Template Reference

`#include <brownnoise.h>`

## Public Member Functions
| BrownNoise (int32 bufferSize, SamplePrecision sampleRate)
| ~BrownNoise ()
SamplePrecision | at (int32 pos) const
int32 | getSize () const

## Protected Attributes
SamplePrecision * | buffer
int32 | bufferSize

## Constructor & Destructor Documentation

BrownNoise | ( | int32 | bufferSize,
|  | SamplePrecision | sampleRate
| ) |  |

~BrownNoise | ( |  | ) |

## Member Function Documentation

SamplePrecision at | ( | int32 | pos | ) | const
| inline

int32 getSize | ( |  | ) | const
| inline

## Member Data Documentation

SamplePrecision* buffer
| protected

int32 bufferSize
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.